Skip to main content
GET
/
api
/
v1
/
inventory
List inventory
curl --request GET \
  --url https://shelfforce.ai/api/v1/inventory \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "sku": "<string>",
      "brand": "<string>",
      "name": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "category": "<string>",
      "subcategory": "<string>",
      "sizeValue": 123,
      "sizeUnit": "<string>",
      "expectedPrice": 123,
      "currency": "<string>",
      "imageUrl": "<string>",
      "upc": "<string>"
    }
  ],
  "pagination": {
    "cursor": "<string>",
    "hasMore": true
  }
}

Authorizations

Authorization
string
header
required

API key with sf_live_ prefix. Pass as Authorization: Bearer sf_live_...

Query Parameters

brand
string

Filter by brand name.

Example:

"Coca-Cola"

category
string

Filter by category.

Example:

"Beverages"

sku
string

Filter by exact SKU code.

Example:

"CC-330ML-CAN"

projectId
string

Filter by project ID.

Example:

"prj_def456"

cursor
string

Opaque pagination cursor returned in the previous response.

limit
integer
default:25

Maximum number of items to return (default 25, max 100).

Required range: 1 <= x <= 100

Response

Paginated list of inventory items.

data
object[]
required
pagination
object
required

Cursor-based pagination metadata.